package com.ruoyi.bst.project.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目对象 bst_project
 *
 * @author ruoyi
 * @date 2025-01-22
 */
@Data
public class Project extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "项目编号")
    @ApiModelProperty("项目编号")
    private String no;

    @Excel(name = "项目名称")
    @ApiModelProperty("项目名称")
    private String name;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("到期时间")
    private Date expireTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "运维时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("运维时间")
    private Date operationTime;

    @Excel(name = "负责人ID")
    @ApiModelProperty("负责人ID")
    private Long ownerId;

    @Excel(name = "跟进人ID")
    @ApiModelProperty("跟进人ID")
    private Long followId;

    @Excel(name = "项目金额")
    @ApiModelProperty("项目金额")
    private BigDecimal amount;

    @Excel(name = "已收金额")
    @ApiModelProperty("已收金额")
    private BigDecimal receivedAmount;

    @Excel(name = "运维费用")
    @ApiModelProperty("运维费用")
    private String operationAmount;

    @Excel(name = "状态", readConverterExp = "1=进行中,2=已完成,3=维护,4=开发超期,5=维护超期")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "附件")
    @ApiModelProperty("附件")
    private String attaches;

    @Excel(name = "客户ID")
    @ApiModelProperty("客户ID")
    private Long customerId;

}
