package com.ruoyi.bst.project.mapper;

import java.util.List;
import com.ruoyi.bst.project.domain.Project;
import com.ruoyi.bst.project.domain.ProjectVO;
import com.ruoyi.bst.project.domain.ProjectQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 项目Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-22
 */
public interface ProjectMapper
{
    /**
     * 查询项目
     *
     * @param id 项目主键
     * @return 项目
     */
    ProjectVO selectProjectById(Long id);

    /**
     * 查询项目列表
     *
     * @param query 项目
     * @return 项目集合
     */
    List<ProjectVO> selectProjectList(@Param("query")ProjectQuery query);

    /**
     * 新增项目
     *
     * @param project 项目
     * @return 结果
     */
    int insertProject(Project project);

    /**
     * 修改项目
     *
     * @param project 项目
     * @return 结果
     */
    public int updateProject(@Param("data") Project project);

    /**
     * 删除项目
     *
     * @param id 项目主键
     * @return 结果
     */
    int deleteProjectById(Long id);

    /**
     * 批量删除项目
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProjectByIds(Long[] ids);
}
